Bulk Update Entries
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"id": "<string>",
"version": 123
}
],
"changes": {
"quantity": "<string>",
"description": "<string>",
"areaReference": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": true,
"mandatoryItem": true,
"designReviewRequired": true
},
"collectionVersion": 123
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries"
payload = {
"items": [
{
"id": "<string>",
"version": 123
}
],
"changes": {
"quantity": "<string>",
"description": "<string>",
"areaReference": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": True,
"mandatoryItem": True,
"designReviewRequired": True
},
"collectionVersion": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{id: '<string>', version: 123}],
changes: {
quantity: '<string>',
description: '<string>',
areaReference: '<string>',
parLevel: '<string>',
applyParToPurchaseQuantity: true,
mandatoryItem: true,
designReviewRequired: true
},
collectionVersion: 123
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"id": "<string>",
"name": "<string>",
"productTypeId": "<string>",
"categoryId": "<string>",
"categoryLabel": "<string>",
"categoryPath": [
{
"id": "<string>",
"label": "<string>"
}
],
"productTypeLabel": "<string>",
"description": "<string>",
"areaReference": "<string>",
"parLevel": "<string>",
"applyParToPurchaseQuantity": true,
"status": "draft",
"quantity": "<string>",
"mandatoryItem": true,
"designReviewRequired": true,
"optionalManufacturers": [
{
"id": "<string>",
"name": "<string>",
"available": true
}
],
"mandatoryManufacturerId": "<string>",
"instructionsCount": 123,
"requirementsCount": 123,
"position": 123,
"referencesCount": 123,
"referenceCode": "<string>",
"imageUrl": "<string>",
"imagesCount": 123,
"validationIssueCount": 123,
"version": 123
}
],
"collectionVersion": 123
}Collections
Bulk Update Entries
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{id}
/
entries
Bulk Update Entries
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Body
application/json
⌘I